- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_network_interfaces – NetApp Element Software Configure Node Network Interfaces

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Configure Element SW Node Network Interfaces for Bond 1G and 10G IP address.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bond_mode_10g - | Choices: ActivePassive ← ALB LACP | Bond mode for 10GbE configuration.
bond_mode_1g - | Choices: ActivePassive ← ALB LACP | Bond mode for 1GbE configuration.
dns_nameservers - |  | List of addresses for domain name servers.
dns_search_domains - |  | List of DNS search domains.
gateway_address_10g - / required |  | Router network address to send packets out of the local network.
gateway_address_1g - / required |  | Router network address to send packets out of the local network.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
ip_address_10g - / required |  | IP address for the 10G network.
ip_address_1g - / required |  | IP address for the 1G network.
lacp_10g - | Choices: Fast Slow ← | Link Aggregation Control Protocol useful only if LACP is selected as the Bond Mode. Slow - Packets are transmitted at 30 second intervals. Fast - Packets are transmitted in 1 second intervals.
lacp_1g - | Choices: Fast Slow ← | Link Aggregation Control Protocol useful only if LACP is selected as the Bond Mode. Slow - Packets are transmitted at 30 second intervals. Fast - Packets are transmitted in 1 second intervals.
method - / required | Choices: loopback manual dhcp static | Type of Method used to configure the interface. method depends on other settings such as the use of a static IP address, which will change the method to static. loopback - Used to define the IPv4 loopback interface. manual - Used to define interfaces for which no configuration is done by default. dhcp - May be used to obtain an IP address via DHCP. static - Used to define Ethernet interfaces with statically allocated IPv4 addresses.
mtu_10g - | Default: "1500" | Maximum Transmission Unit for 10GbE, Largest packet size that a network protocol can transmit. Must be greater than or equal to 1500 bytes.
mtu_1g - | Default: "1500" | Maximum Transmission Unit for 1GbE, Largest packet size that a network protocol can transmit. Must be greater than or equal to 1500 bytes.
password - / required |  | Password for the specified user. aliases: pass
subnet_10g - / required |  | 10GbE Subnet Mask.
subnet_1g - / required |  | 1GbE Subnet Mask.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
virtual_network_tag - |  | This is the primary network tag. All nodes in a cluster have the same VLAN tag.

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Set Node network interfaces configuration for Bond 1G and 10G properties
      tags:
      - elementsw_network_interfaces
      na_elementsw_network_interfaces:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        method: static
        ip_address_1g: 10.226.109.68
        ip_address_10g: 10.226.201.72
        subnet_1g: 255.255.255.0
        subnet_10g: 255.255.255.0
        gateway_address_1g: 10.193.139.1
        gateway_address_10g: 10.193.140.1
        mtu_1g: 1500
        mtu_10g: 9000
        bond_mode_1g: ActivePassive
        bond_mode_10g: LACP
        lacp_10g: Fast

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.